
import java.awt.Point;
import java.awt.event.*;

class CircleMouseMotionListener implements MouseMotionListener
{
   private final CircleState cs;
   private final CirclePanel cp;

   public CircleMouseMotionListener(CircleState cs, CirclePanel cp)
   {
      this.cs = cs;
      this.cp = cp;
   }

   @Override
   public void mouseDragged(MouseEvent e)
   {
      if (cs.inside)
      {
         cs.xNew = e.getX();  // where the circle needs to be
         cs.yNew = e.getY();
         cp.repaint();
      }
   }

   // don't need
   @Override public void mouseMoved(MouseEvent e){}
}
